<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:20 CST 2018 -->
<title>E-Index</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="E-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><a href="../projectx/engine/terminal/procs/global/echo.html" title="class in projectx.engine.terminal.procs.global"><span class="typeNameLink">echo</span></a> - Class in <a href="../projectx/engine/terminal/procs/global/package-summary.html">projectx.engine.terminal.procs.global</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/procs/global/echo.html#echo--">echo()</a></span> - Constructor for class projectx.engine.terminal.procs.global.<a href="../projectx/engine/terminal/procs/global/echo.html" title="class in projectx.engine.terminal.procs.global">echo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#electric_fence">electric_fence</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/client/Client.html#end--">end()</a></span> - Method in class projectx.game.client.<a href="../projectx/game/client/Client.html" title="class in projectx.game.client">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/client/DataProtocol.html#end--">end()</a></span> - Method in class projectx.game.client.<a href="../projectx/game/client/DataProtocol.html" title="class in projectx.game.client">DataProtocol</a></dt>
<dd>
<div class="block">Closes the client</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/file/OFile_Client.html#end--">end()</a></span> - Method in class projectx.game.file.<a href="../projectx/game/file/OFile_Client.html" title="class in projectx.game.file">OFile_Client</a></dt>
<dd>
<div class="block">Ends the client</div>
</dd>
<dt><a href="../projectx/engine/display/EngineDisplay.html" title="class in projectx.engine.display"><span class="typeNameLink">EngineDisplay</span></a> - Class in <a href="../projectx/engine/display/package-summary.html">projectx.engine.display</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/display/EngineDisplay.html#EngineDisplay-java.lang.String-int-int-">EngineDisplay(String, int, int)</a></span> - Constructor for class projectx.engine.display.<a href="../projectx/engine/display/EngineDisplay.html" title="class in projectx.engine.display">EngineDisplay</a></dt>
<dd>
<div class="block">This method creates a display with a set width and height and gives it a title</div>
</dd>
<dt><a href="../projectx/engine/EngineGL.html" title="class in projectx.engine"><span class="typeNameLink">EngineGL</span></a> - Class in <a href="../projectx/engine/package-summary.html">projectx.engine</a></dt>
<dd>
<div class="block">Holds all of the base code for the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/EngineGL.html#EngineGL-java.lang.String-int-">EngineGL(String, int)</a></span> - Constructor for class projectx.engine.<a href="../projectx/engine/EngineGL.html" title="class in projectx.engine">EngineGL</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/modes/Window.html#enteredText">enteredText</a></span> - Variable in class projectx.engine.terminal.modes.<a href="../projectx/engine/terminal/modes/Window.html" title="class in projectx.engine.terminal.modes">Window</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities"><span class="typeNameLink">Entity</span></a> - Class in <a href="../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a></dt>
<dd>
<div class="block">This class is a template for all entities</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/Entity.html#Entity-projectx.engine.Handler-float-float-int-int-">Entity(Handler, float, float, int, int)</a></span> - Constructor for class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/managers/entities/EntityManager.html" title="class in projectx.engine.managers.entities"><span class="typeNameLink">EntityManager</span></a> - Class in <a href="../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a></dt>
<dd>
<div class="block">This class manages all entities</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/EntityManager.html#EntityManager-projectx.engine.Handler-">EntityManager(Handler)</a></span> - Constructor for class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/EntityManager.html" title="class in projectx.engine.managers.entities">EntityManager</a></dt>
<dd>
<div class="block">This method creates an ArrayList that holds all the data of how many entities exist</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/controls/ai/utils/Vector2i.html#equals-java.lang.Object-">equals(Object)</a></span> - Method in class projectx.engine.controls.ai.utils.<a href="../projectx/engine/controls/ai/utils/Vector2i.html" title="class in projectx.engine.controls.ai.utils">Vector2i</a></dt>
<dd>
<div class="block">This method overrides the Object class's equals method.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#equalsBirthNano-projectx.engine.managers.entities.creatures.Creature-">equalsBirthNano(Creature)</a></span> - Method in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/EngineGL.html#exit--">exit()</a></span> - Method in class projectx.engine.<a href="../projectx/engine/EngineGL.html" title="class in projectx.engine">EngineGL</a></dt>
<dd>
<div class="block">Closes the nessisary processes</div>
</dd>
<dt><a href="../projectx/engine/terminal/procs/global/exit.html" title="class in projectx.engine.terminal.procs.global"><span class="typeNameLink">exit</span></a> - Class in <a href="../projectx/engine/terminal/procs/global/package-summary.html">projectx.engine.terminal.procs.global</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/procs/global/exit.html#exit--">exit()</a></span> - Constructor for class projectx.engine.terminal.procs.global.<a href="../projectx/engine/terminal/procs/global/exit.html" title="class in projectx.engine.terminal.procs.global">exit</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#exit_button">exit_button</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
